package com.pcloud.book.skill.dao;

import com.pcloud.book.skill.entity.PcloudSubRemind;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @author lily
 * @date 2019/4/23 15:53
 */
public interface PcloudSubRemindDao extends BaseDao<PcloudSubRemind> {

    void updateSubState(Integer relSkillId,Integer skillType,String wxUserId,Integer skillId );

    List<PcloudSubRemind> getUnSubRecord();

    PcloudSubRemind getByMap(Integer relSkillId,Integer skillType,String wxUserId,Integer skillId);
}
